## Get API Keys of the Current User

### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/users/me/apikeys \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/me/apikeys"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/me/apikeys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/me/apikeys",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	
	url := "https://api-trial.cognigy.ai/new/v2.0/users/me/apikeys"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### HTTP Response Codes

- **200**  
- **400**  
- **401**  
- **402**  
- **403**  
- **404**  
- **405**  
- **409**  
- **413**  
- **500**  
- **501**  
- **502**  
- **503**  
- **504**

### Response Structure

```json
{
  "items": [
    {
      "_id": "<string>",
      "name": "<string>",
      "apiKey": "<string>",
      "createdAt": 123
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Sample Error Responses

#### Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **API Key** in header
  - X-API-Key: string, required

### Query Parameters

- **filter:** string, 
  - The name of the API key to filter the records.
- **limit:** integer, 
  - Maximum number of items to return, default: 25, max: 100.
- **skip:** integer, 
  - Number of items to skip.
- **sort:** string, 
  - Order of results in format `field:direction` (e.g., `name:asc`). 
- **next:** string, 
  - Cursor for next page of results.
- **previous:** string, 
  - Cursor for previous page of results.
